"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const { stdin } = process;
// Borrowed from https://github.com/sindresorhus/get-stdin/blob/147d91ccdb23748b4655192781928df9f4fb4aee/index.js
// but not directly installed because Node ES modules are a huge pain and it breaks the entire build.
async function getStdin() {
    var e_1, _a;
    let result = '';
    if (stdin.isTTY) {
        return result;
    }
    stdin.setEncoding('utf8');
    try {
        for (var stdin_1 = tslib_1.__asyncValues(stdin), stdin_1_1; stdin_1_1 = await stdin_1.next(), !stdin_1_1.done;) {
            const chunk = stdin_1_1.value;
            result += chunk;
        }
    }
    catch (e_1_1) { e_1 = { error: e_1_1 }; }
    finally {
        try {
            if (stdin_1_1 && !stdin_1_1.done && (_a = stdin_1.return)) await _a.call(stdin_1);
        }
        finally { if (e_1) throw e_1.error; }
    }
    return result;
}
exports.default = getStdin;
